Bug 270529 - NullPointerException at org.netbeans.modules.java.api.common.impl.TemplateModuleDeclarator.findModuleNames
NullPointerException at org.netbeans.modules.java.api.common.impl.TemplateMod...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
Dev
All All
: P2 (vote)
: Dev
Assigned To: Tomas Zezula
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-01 19:07 UTC by Martin Balin
Modified: 2017-05-03 01:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.85 KB, text/plain)
2017-05-01 19:07 UTC, Martin Balin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Balin 2017-05-01 19:07:31 UTC
Build: NetBeans IDE Dev (Build 20170424-632d008b4e26)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.121-b13, Java(TM) SE Runtime Environment, 1.8.0_121-b13
OS: Linux

User Comments:
mbalin: JavaSE JDK 9 project created, added module-info and main class. Then Test packages added with module-info.java file - means unit tests withing own module under same JavaSE project.
Then select class in project and Tools | Create Update Tests action => The exception was thrown.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.java.api.common.impl.TemplateModuleDeclarator.findModuleNames(TemplateModuleDeclarator.java:216)
   at org.netbeans.modules.java.api.common.impl.TemplateModuleDeclarator.inferModuleNames(TemplateModuleDeclarator.java:187)
   at org.netbeans.modules.java.api.common.impl.TemplateModuleDeclarator.decorate(TemplateModuleDeclarator.java:160)
   at org.netbeans.api.templates.CreateFromTemplateImpl.callDecorators(CreateFromTemplateImpl.java:162)
   at org.netbeans.api.templates.CreateFromTemplateImpl.build(CreateFromTemplateImpl.java:151)
   at org.netbeans.api.templates.CreateFromTemplateImpl.build(CreateFromTemplateImpl.java:96)
Comment 1 Martin Balin 2017-05-01 19:07:34 UTC
Created attachment 164214 [details]
stacktrace
Comment 2 Martin Balin 2017-05-01 20:10:59 UTC
Unit test file was partially created, missing were test methods for to be tested methods of original class.
Comment 3 Tomas Zezula 2017-05-02 07:12:45 UTC
Fixed jet-main 16c06adafc35
Comment 4 Quality Engineering 2017-05-03 01:49:45 UTC
Integrated into 'main-silver', will be available in build *201705030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/16c06adafc35
User: Tomas Zezula <tzezula@netbeans.org>
Log: #270529:NullPointerException at org.netbeans.modules.java.api.common.impl.TemplateModuleDeclarator.findModuleNames


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo